#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-api-tests
version: 0.3
id: crypto-api-tests-0.3-IvGpZeIJXELDaKvEw39N55
key: crypto-api-tests-0.3-IvGpZeIJXELDaKvEw39N55
license: BSD-3-Clause
copyright: Thomas DuBuisson <thomas.dubuisson@gmail.com>
maintainer: Thomas DuBuisson <thomas.dubuisson@gmail.com>
author: Thomas DuBuisson <thomas.dubuisson@gmail.com>
stability: stable
homepage: http://trac.haskell.org/crypto-api/wiki
synopsis: A test framework and KATs for cryptographic operations.
description:
    A test framework for hash and cipher operations using
    the crypto-api interface.  Known answer tests (KATs)
    for common cryptographic algorithms are included.
    Patches welcome (both adding KATs for more algorithms
    or property tests for classes of algorithms).
category: Data, Cryptography
abi: ca41e5399631b155192e20a9cf1fb5f6
exposed: True
exposed-modules:
    Test.AES Test.Crypto Test.HMAC Test.MD5 Test.ParseNistKATs Test.SHA
    Test.TwoFish
hidden-modules: Paths_crypto_api_tests
import-dirs: /usr/lib/ghc-8.4.3/site-local/crypto-api-tests-0.3
library-dirs: /usr/lib/ghc-8.4.3/site-local/crypto-api-tests-0.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/crypto-api-tests-0.3
hs-libraries: HScrypto-api-tests-0.3-IvGpZeIJXELDaKvEw39N55
depends:
    HUnit-1.6.0.0-8OmbxYW4AG9PppbZs26Xx
    QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr base-4.11.1.0
    bytestring-0.10.8.2 cereal-0.5.5.0-GXs0HkZKyWNA7Krg63fmZj
    crypto-api-0.13.3-F192MK1lmj0HbgPoMEH6qU directory-1.3.1.5
    filepath-1.4.2 test-framework-0.8.2.0-B3Pl5gcgTqTDKXxK4e8i9L
    test-framework-hunit-0.3.0.2-GRnrOgXEM4KF60ALv8z5tc
    test-framework-quickcheck2-0.3.0.4-14Ni3Xfs7Nr9JiyBR8TTGI
abi-depends: HUnit-1.6.0.0-8OmbxYW4AG9PppbZs26Xx=b175aabb3dd9ae95a14a70d0ded5aa16
             QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr=0b62adbb61d61aac8d449588192e831b
             base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             cereal-0.5.5.0-GXs0HkZKyWNA7Krg63fmZj=77866f631eefa2be10fa7c88fcec53a0
             crypto-api-0.13.3-F192MK1lmj0HbgPoMEH6qU=1a6e7f0af01b596195406422512f7c1f
             directory-1.3.1.5=e563da47c8e71ee27761a9b9d172f1ec
             filepath-1.4.2=f8b35940dbf3bb5331e1c5ab9738687d
             test-framework-0.8.2.0-B3Pl5gcgTqTDKXxK4e8i9L=a878356130f1ca63c8dfd2958692d4c3
             test-framework-hunit-0.3.0.2-GRnrOgXEM4KF60ALv8z5tc=22b4a7cd954223a8d949f9a8522aa089
             test-framework-quickcheck2-0.3.0.4-14Ni3Xfs7Nr9JiyBR8TTGI=1053ea4e04fa622c570f45faa84c5793
haddock-interfaces: /usr/share/doc/haskell-crypto-api-tests/html/crypto-api-tests.haddock
haddock-html: /usr/share/doc/haskell-crypto-api-tests/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

